export function getDataRow(rowData1, rowData2, radiatorType) {
  let dataItem = {
    arrRequiredDeat: [],
    indexWithFinA: null,
    indexWithFinB: null,
    indexTubeType: null,
    arrChangeTubeType: [[], [], []],
    arrCheckboxWithFinA: [[], []],
    arrCheckboxWithFinB: [[], []],
  };

  rowData1.forEach((v, i) => {
    v.disable = [];

    if (v.field === 'REQUIRED_HEAT') {
      dataItem.arrRequiredDeat.push(i);
    } else if (v.field === 'WITH_FIN_A') {
      dataItem.indexWithFinA = i;
    } else if (v.field === 'WITH_FIN_B') {
      dataItem.indexWithFinB = i;
    } else if (v.field === 'TUBE_TYPE') {
      dataItem.indexTubeType = i;
    }

    if (radiatorType == '3' || radiatorType == '5') {
      if (v.field === 'FIN_PITCH_MM_A') {
        dataItem.arrCheckboxWithFinA[0].push(i);
      }

      if (v.field === 'FIN_PITCH_MM_B') {
        dataItem.arrCheckboxWithFinB[0].push(i);
      }
    }

    if (radiatorType == '8') {
      if (v.field === 'FIN_PITCH_MM_B' || v.field === 'DIRECTION_B') {
        dataItem.arrCheckboxWithFinB[0].push(i);
      }
    }
  });

  rowData2.forEach((v, i) => {
    v.disable = [];

    if (radiatorType == '2' || radiatorType == '7') {
      if (v.field === 'FIN_R_MM_B'
        ||  v.field === 'FHL_MM_B'
        ||  v.field === 'FIN_MATERIAL_B'
      ) {
        dataItem.arrChangeTubeType[0].push(i);
        dataItem.arrChangeTubeType[2].push(i);
      } else if (v.field === 'NH') {
        dataItem.arrChangeTubeType[1].push(i);
        dataItem.arrChangeTubeType[2].push(i);
      }
    }

    if (radiatorType == '3') {
      if (v.field === 'IN_FH_MM_A'
        || v.field === 'IN_TF_MM_A'
        || v.field === 'FIN_R_MM_A'
        || v.field === 'FHL_MM_A'
        || v.field === 'FIN_MATERIAL_A'
      ) {
        dataItem.arrCheckboxWithFinA[1].push(i);
      }

      if (v.field === 'IN_FH_MM_B'
        || v.field === 'IN_TF_MM_B'
        || v.field === 'FIN_R_MM_B'
        || v.field === 'FHL_MM_B'
        || v.field === 'FIN_MATERIAL_B'
      ) {
        dataItem.arrCheckboxWithFinB[1].push(i);
      }
    }

    if (radiatorType == '5') {
      if (v.field === 'DIRECTION_A'
        || v.field === 'IN_TF_MM_A'
        || v.field === 'SL_W_MM_A'
        || v.field === 'FIN_MATERIAL_A'
      ) {
        dataItem.arrCheckboxWithFinA[1].push(i);
      }

      if (v.field === 'DIRECTION_B'
        || v.field === 'IN_TF_MM_B'
        || v.field === 'SL_W_MM_B'
        || v.field === 'FIN_MATERIAL_B'
      ) {
        dataItem.arrCheckboxWithFinB[1].push(i);
      }
    }

    if (radiatorType == '8') {
      if (v.field === 'IN_TF_MM_B'
        || v.field === 'FIN_R_MM_B'
        || v.field === 'FHL_MM_B'
        || v.field === 'SL_W_MM_B'
      ) {
        dataItem.arrCheckboxWithFinB[1].push(i);
      }
    }
  });

  return dataItem;
}
